package cn.superdesk.uniorder.dao.entity.accounting.unified.supplier;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class AccountingUnifiedSupplierOrderExample {
    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public AccountingUnifiedSupplierOrderExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIsNull() {
            addCriterion("dim_create_by is null");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIsNotNull() {
            addCriterion("dim_create_by is not null");
            return (Criteria) this;
        }

        public Criteria andDimCreateByEqualTo(Integer value) {
            addCriterion("dim_create_by =", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotEqualTo(Integer value) {
            addCriterion("dim_create_by <>", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByGreaterThan(Integer value) {
            addCriterion("dim_create_by >", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByGreaterThanOrEqualTo(Integer value) {
            addCriterion("dim_create_by >=", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByLessThan(Integer value) {
            addCriterion("dim_create_by <", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByLessThanOrEqualTo(Integer value) {
            addCriterion("dim_create_by <=", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIn(List<Integer> values) {
            addCriterion("dim_create_by in", values, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotIn(List<Integer> values) {
            addCriterion("dim_create_by not in", values, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByBetween(Integer value1, Integer value2) {
            addCriterion("dim_create_by between", value1, value2, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotBetween(Integer value1, Integer value2) {
            addCriterion("dim_create_by not between", value1, value2, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIsNull() {
            addCriterion("accounting_order_id is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIsNotNull() {
            addCriterion("accounting_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdEqualTo(Long value) {
            addCriterion("accounting_order_id =", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotEqualTo(Long value) {
            addCriterion("accounting_order_id <>", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdGreaterThan(Long value) {
            addCriterion("accounting_order_id >", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("accounting_order_id >=", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdLessThan(Long value) {
            addCriterion("accounting_order_id <", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("accounting_order_id <=", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIn(List<Long> values) {
            addCriterion("accounting_order_id in", values, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotIn(List<Long> values) {
            addCriterion("accounting_order_id not in", values, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdBetween(Long value1, Long value2) {
            addCriterion("accounting_order_id between", value1, value2, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("accounting_order_id not between", value1, value2, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNull() {
            addCriterion("accounting_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNotNull() {
            addCriterion("accounting_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnEqualTo(String value) {
            addCriterion("accounting_order_sn =", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotEqualTo(String value) {
            addCriterion("accounting_order_sn <>", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThan(String value) {
            addCriterion("accounting_order_sn >", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn >=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThan(String value) {
            addCriterion("accounting_order_sn <", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn <=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLike(String value) {
            addCriterion("accounting_order_sn like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotLike(String value) {
            addCriterion("accounting_order_sn not like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIn(List<String> values) {
            addCriterion("accounting_order_sn in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotIn(List<String> values) {
            addCriterion("accounting_order_sn not in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnBetween(String value1, String value2) {
            addCriterion("accounting_order_sn between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotBetween(String value1, String value2) {
            addCriterion("accounting_order_sn not between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIsNull() {
            addCriterion("unified_order_id is null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIsNotNull() {
            addCriterion("unified_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdEqualTo(Long value) {
            addCriterion("unified_order_id =", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotEqualTo(Long value) {
            addCriterion("unified_order_id <>", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdGreaterThan(Long value) {
            addCriterion("unified_order_id >", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("unified_order_id >=", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdLessThan(Long value) {
            addCriterion("unified_order_id <", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("unified_order_id <=", value, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdIn(List<Long> values) {
            addCriterion("unified_order_id in", values, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotIn(List<Long> values) {
            addCriterion("unified_order_id not in", values, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdBetween(Long value1, Long value2) {
            addCriterion("unified_order_id between", value1, value2, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andUnifiedOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("unified_order_id not between", value1, value2, "unifiedOrderId");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNull() {
            addCriterion("order_sn is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNotNull() {
            addCriterion("order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnEqualTo(String value) {
            addCriterion("order_sn =", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotEqualTo(String value) {
            addCriterion("order_sn <>", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThan(String value) {
            addCriterion("order_sn >", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn >=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThan(String value) {
            addCriterion("order_sn <", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThanOrEqualTo(String value) {
            addCriterion("order_sn <=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLike(String value) {
            addCriterion("order_sn like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotLike(String value) {
            addCriterion("order_sn not like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnIn(List<String> values) {
            addCriterion("order_sn in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotIn(List<String> values) {
            addCriterion("order_sn not in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnBetween(String value1, String value2) {
            addCriterion("order_sn between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotBetween(String value1, String value2) {
            addCriterion("order_sn not between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andAmountIsNull() {
            addCriterion("amount is null");
            return (Criteria) this;
        }

        public Criteria andAmountIsNotNull() {
            addCriterion("amount is not null");
            return (Criteria) this;
        }

        public Criteria andAmountEqualTo(BigDecimal value) {
            addCriterion("amount =", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountNotEqualTo(BigDecimal value) {
            addCriterion("amount <>", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountGreaterThan(BigDecimal value) {
            addCriterion("amount >", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("amount >=", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountLessThan(BigDecimal value) {
            addCriterion("amount <", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("amount <=", value, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountIn(List<BigDecimal> values) {
            addCriterion("amount in", values, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountNotIn(List<BigDecimal> values) {
            addCriterion("amount not in", values, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("amount between", value1, value2, "amount");
            return (Criteria) this;
        }

        public Criteria andAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("amount not between", value1, value2, "amount");
            return (Criteria) this;
        }

        public Criteria andCostAmountIsNull() {
            addCriterion("cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andCostAmountIsNotNull() {
            addCriterion("cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andCostAmountEqualTo(BigDecimal value) {
            addCriterion("cost_amount =", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("cost_amount <>", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountGreaterThan(BigDecimal value) {
            addCriterion("cost_amount >", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cost_amount >=", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountLessThan(BigDecimal value) {
            addCriterion("cost_amount <", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cost_amount <=", value, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountIn(List<BigDecimal> values) {
            addCriterion("cost_amount in", values, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("cost_amount not in", values, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cost_amount between", value1, value2, "costAmount");
            return (Criteria) this;
        }

        public Criteria andCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cost_amount not between", value1, value2, "costAmount");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightIsNull() {
            addCriterion("amount_with_freight is null");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightIsNotNull() {
            addCriterion("amount_with_freight is not null");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightEqualTo(BigDecimal value) {
            addCriterion("amount_with_freight =", value, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightNotEqualTo(BigDecimal value) {
            addCriterion("amount_with_freight <>", value, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightGreaterThan(BigDecimal value) {
            addCriterion("amount_with_freight >", value, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("amount_with_freight >=", value, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightLessThan(BigDecimal value) {
            addCriterion("amount_with_freight <", value, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("amount_with_freight <=", value, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightIn(List<BigDecimal> values) {
            addCriterion("amount_with_freight in", values, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightNotIn(List<BigDecimal> values) {
            addCriterion("amount_with_freight not in", values, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("amount_with_freight between", value1, value2, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andAmountWithFreightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("amount_with_freight not between", value1, value2, "amountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightIsNull() {
            addCriterion("cost_amount_with_freight is null");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightIsNotNull() {
            addCriterion("cost_amount_with_freight is not null");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightEqualTo(BigDecimal value) {
            addCriterion("cost_amount_with_freight =", value, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightNotEqualTo(BigDecimal value) {
            addCriterion("cost_amount_with_freight <>", value, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightGreaterThan(BigDecimal value) {
            addCriterion("cost_amount_with_freight >", value, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cost_amount_with_freight >=", value, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightLessThan(BigDecimal value) {
            addCriterion("cost_amount_with_freight <", value, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cost_amount_with_freight <=", value, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightIn(List<BigDecimal> values) {
            addCriterion("cost_amount_with_freight in", values, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightNotIn(List<BigDecimal> values) {
            addCriterion("cost_amount_with_freight not in", values, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cost_amount_with_freight between", value1, value2, "costAmountWithFreight");
            return (Criteria) this;
        }

        public Criteria andCostAmountWithFreightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cost_amount_with_freight not between", value1, value2, "costAmountWithFreight");
            return (Criteria) this;
        }
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * do_not_delete_during_merge Mon Nov 02 15:41:15 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table accounting_unified_supplier_order
     *
     * Mon Nov 02 15:41:15 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}